<?php 
require_once("../datos/mysqlpregunta.php");
$p = new mysqlpregunta();
$indice = $_POST['name'];

if($indice == "getPreguntaID"){
  $id_pregunta = $_POST['id_pregunta'];
  $resultado = $p->getPreguntaID($id_pregunta);
  echo $resultado;

}else if($indice == "setrespuesta"){
	$id_pregunta= $_POST['pk']; // the pk(primary key) that you assigned
	$respuesta= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updaterespuesta($id_pregunta,$respuesta);
  echo $resultado;
}else if($indice == "setpregunta"){
	$id_pregunta= $_POST['pk']; // the pk(primary key) that you assigned
	$pregunta= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updatepregunta($id_pregunta,$pregunta);
	echo $resultado;
}else if($indice == "getPreguntas"){
  $resultado = $p->getPreguntasALL();
  echo json_encode($resultado);

}else if($indice == "setEstado"){
	$id_pregunta= $_POST['pk']; // the pk(primary key) that you assigned
	$estado= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $p->updateestado($id_pregunta,$estado);
	echo $resultado;
}else if($indice == "nuevaPregunta"){
	$pregunta= $_POST['pregunta']; // the pk(primary key) that you assigned
	$respuesta= $_POST['respuesta'] ;// the new value after you use the inline edit
	$resultado = $p->nuevaPregunta($pregunta,$respuesta);
	echo $resultado;
}
?>